%define intname CEGUI
%define intversion 0.5.0

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		cegui
Summary:        Free library providing windowing and widgets for graphics APIs / engines
Version:	0.5.0b
Release:	5
License:	MIT and Freely redistributable without restriction
URL:		http://www.cegui.org.uk
Group:		System/Libraries
Source0:	%{intname}-%{version}.tar.gz
Source1:        http://dl.sf.net/crayzedsgui/CEGUI-DOCS-%{intversion}.tar.gz
Patch1:         cegui-0.5.0-lua51.patch
Patch2:         cegui-0.5.0-fixweaksymbol.patch
Patch0:		CEGUI-xerces280.patch
Patch3:         cegui-0.5.0-userverso.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  DevIL-devel
BuildRequires:  expat-devel
BuildRequires:  freetype-devel
BuildRequires:  libxml2-devel
BuildRequires:  libICE-devel
BuildRequires:  libGLU-devel
BuildRequires:  libtool
BuildRequires:  libSM-devel
BuildRequires:  lua-devel >= 0.5.1
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig
BuildRequires:  SILLY-devel
BuildRequires:  xerces-c-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available, or
severely lacking. The library is object orientated, written in C++, and
targeted at games developers who should be spending their time creating great
games, not building GUI sub-systems!


%package devel
Summary:        Development files for cegui
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libGLU-devel

%description devel
Development files for cegui


%package devel-doc
Summary:        API documentation for cegui
Group:          Documentation
Requires:       cegui-devel = %{version}-%{release}

%description devel-doc
API and Falagard skinning documentation for cegui

%post
ldconfig

%postun
ldconfig

%prep
%setup -qb1 -qn %{intname}-%{intversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Delete zero length file
rm -f documentation/api_reference/keepme

# Run automake/autoconf due to patches 1 & 2
touch INSTALL NEWS
aclocal
automake
autoconf


%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O2/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"

%configure --disable-static --disable-corona --enable-devil \
           --enable-lua-module --disable-irrlicht-renderer --disable-samples \
           --with-default-xml-parser=TinyXMLParser --enable-silly \
           --with-default-image-codec=SILLYImageCodec --with-pic --libexecdir=%_libdir/cegui

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libCEGUIBase.so.1*
%{_libdir}/libCEGUIDevILImageCodec.so.0*
%{_libdir}/libCEGUIExpatParser.so.0*
%{_libdir}/libCEGUIFalagardWRBase.so.1*
%{_libdir}/libCEGUILibxmlParser.so.0*
#%{_libdir}/libCEGUILuaScriptModule.so.1*
%{_libdir}/libCEGUIOpenGLRenderer.so.0*
%{_libdir}/libCEGUITGAImageCodec.so.0*
%{_libdir}/libCEGUITinyXMLParser.so.0*
%{_libdir}/libCEGUIXercesParser.so.0*
%{_libdir}/libCEGUISILLYImageCodec.so.0*
#%{_libdir}/libCEGUItoluapp.so.1*
%doc AUTHORS ChangeLog COPYING README TinyXML-License TODO


%files devel
%defattr(-,root,root,-)
%{_libdir}/libCEGUIBase.so
%{_libdir}/libCEGUIDevILImageCodec.so
%{_libdir}/libCEGUIExpatParser.so
%{_libdir}/libCEGUIFalagardWRBase.so
%{_libdir}/libCEGUILibxmlParser.so
#%{_libdir}/libCEGUILuaScriptModule.so
%{_libdir}/libCEGUIOpenGLRenderer.so
%{_libdir}/libCEGUITGAImageCodec.so
%{_libdir}/libCEGUITinyXMLParser.so
%{_libdir}/libCEGUIXercesParser.so
%{_libdir}/libCEGUISILLYImageCodec.so
#%{_libdir}/libCEGUItoluapp.so
%{_libdir}/pkgconfig/CEGUI-OPENGL.pc
%{_libdir}/pkgconfig/CEGUI.pc
%{_includedir}/CEGUI
%{_libdir}/*.la
#%{_libdir}/*.a


%files devel-doc
%doc documentation/FalagardSkinning.pdf documentation/api_reference

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-5
- use tinyxml as default parser
* Wed Jan 23 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-4
- rebuild against gcc 4.1.2
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-3
- lowered optflags
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-2
- modified License and Description
- added docs, BuildRequires
- rebuild against devil 1.6.8-3
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0b-1
- Initial Release
